# Atomic Docs

Atomic Docs is a front end style guide generator and component manager. Atomic Docs is built in PHP and Sass. Inspired by Brad Frost's Atomic Design principles.

Atomic Docs works with Sass, Less and Stylus.

Documentation can be found at <a href="http://atomicdocs.io/">AtomicDocs.io</a>.

<img src="atomic-core/img/demo1.gif" alt="atomic docs gif" />

##Set up

1. Download Atomic Docs and add to your local PHP environment.
2. Configure your preprocessor to output `scss/main.scss` to `css/main.css`.
3. Go to `http://localhost/atomic-docs/atomic-core/index.php` and get started.

##Document
Have full documentation to hand off to other teams, internal or external.

<img src="atomic-core/img/document.png" />

##Edit in the Browser
Edit your components directly in the browser using the Ace.js editor.

<img src="atomic-core/img/editor-gif.gif" />


##Organize
Organize all your components under categories that you name. "Base", "Modules", "Atoms" etc...

<img src="atomic-core/img/organize.png"/>

##Manage
Manage all your components. Move, rename and delete with a clean GUI interface.

<img src="atomic-core/img/manage.gif" />

##Save time
Does all the "wiring" of your SCSS partials. Never write `@import "partial-name";` again.

<img width="500" src="atomic-core/img/helpful.png"/>

Documentation can be found at <a href="http://atomicdocs.io/">AtomicDocs.io</a>.

##Join the conversation!
We'd love to hear your thoughts and suggestions. Join us on <a href="https://nick578.typeform.com/to/NwX0ox">Slack</a>.


